<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::InstancedGeometry::MaterialBucket Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#09b10b1710389e2f1858ff9a6e9c939f">addRenderables</a>(RenderQueue *queue, uint8 group, Real camSquaredDist)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#9a2e358c68d9ad1d83b137024ec310f6">assign</a>(QueuedGeometry *qsm)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#80d29ec722226dfd0e861ad6ffdd60b3">build</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#e570e993195aa5c80a80522f96bd0f65">CurrentGeometryMap</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#def653a7b45c37d6cf9a64e77d954313">dump</a>(std::ofstream &amp;of) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a7230ed1080d3cd11845829f312a02aa">GeometryBucketList</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#cb7aa4e729032365115e8f4a6fc27d23">GeometryIterator</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#f2867e1be4278a17b9156610f5ce96a8">getCurrentTechnique</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#87942b01517f144000ed7de94a489f09">getGeometryBucketList</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#7474f328d0f531b779ae669569680d8e">getGeometryFormatString</a>(SubMeshLodGeometryLink *geom)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#0f41eb2270de136057f11d9174964561">getGeometryIterator</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#85de6860784259691402b488e6ab08f0">getLastIndex</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#7b0e0cf78314610cac9d12f609a97051">getMaterial</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#aebed9f61bb0de673dd6b08fac08b708">getMaterialBucketMap</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#d0d79b15230bb1d6cec195733c92e286">getMaterialName</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#f4a57731ec8f8b3268055f0751e1aa95">getParent</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#5f10bcd6548e3d203c56479882ad600b">MaterialBucket</a>(LODBucket *parent, const String &amp;materialName)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#2b41d2a797dfed7facaa6c93a1d75a6e">mCurrentGeometryMap</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#076bd8cb1dd52a1241efa09d99a07adb">mGeometryBucketList</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a798f54112a46649c99b38505903522f">mLastIndex</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#4fb67876925cd7d276b6762c9b32a36a">mMaterial</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#2e982f99fae8c3e18f79ce8a815b7212">mMaterialName</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#073b176d881a1bd07da668bc455920e8">mParent</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#57be70b56e186209e9bb0ce1f546ac78">mTechnique</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#6479a981782ef9751c9351e848fc7651">setLastIndex</a>(int index)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#583a8286a42b50dadc895f2b2d8b9c5f">setMaterial</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#39b21d1642232f58a04a0ee5ee6a5c65">updateContainers</a>(GeometryBucket *bucket, const String &amp;format)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#35d8863f6689c109dfeea0110c6151e4">~MaterialBucket</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">Ogre::InstancedGeometry::MaterialBucket</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:11 2008
</p>
</body>
</html>
